|  | Home | Documentation | wst__RequestSecurityTokenType Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
wst__RequestSecurityTokenType Struct Reference

Imported simpleType "http://docs.oasis-open.org/ws-sx/ws-trust/200512/":RequestTypeOpenEnum from typemap "WS/WS-typemap.dat". More...

`#include <wst.h>`

Collaboration diagram for wst__RequestSecurityTokenType:
[legend]

## Public Attributes

char * | Context
_wsp__AppliesTo_ * | wsp__AppliesTo
char * | KeyType
| Member declared in WS/WS-typemap.dat.
char * | RequestType
| Member declared in WS/WS-typemap.dat.
char * | TokenType
| Member declared in WS/WS-typemap.dat.
wst__EntropyType * | Entropy
| Member declared in WS/WS-typemap.dat.
char * | ComputedKeyAlgorithm
| Member declared in WS/WS-typemap.dat.
unsigned int * | KeySize
| Member declared in WS/WS-typemap.dat.
struct wst__CancelTargetType * | CancelTarget
| Member declared in WS/WS-typemap.dat.
struct wst__BinaryExchangeType * | BinaryExchange
| Member declared in WS/WS-typemap.dat.
struct wst__AuthenticatorType * | Authenticator
| Member declared in WS/WS-typemap.dat.

## Detailed Description

Imported simpleType "http://docs.oasis-open.org/ws-sx/ws-trust/200512/":RequestTypeOpenEnum from typemap "WS/WS-typemap.dat".

Imported simpleType "http://docs.oasis-open.org/ws-sx/ws-trust/200512/":BinarySecretTypeOpenEnum from typemap "WS/WS-typemap.dat". Imported simpleType "http://docs.oasis-open.org/ws-sx/ws-trust/200512/":ComputedKeyOpenEnum from typemap "WS/WS-typemap.dat". Imported simpleType "http://docs.oasis-open.org/ws-sx/ws-trust/200512/":StatusCodeOpenEnum from typemap "WS/WS-typemap.dat". Imported simpleType "http://docs.oasis-open.org/ws-sx/ws-trust/200512/":KeyTypeOpenEnum from typemap "WS/WS-typemap.dat". Imported simpleType "http://docs.oasis-open.org/ws-sx/ws-trust/200512/":RequestTypeEnum from typemap "WS/WS-typemap.dat". Imported simpleType "http://docs.oasis-open.org/ws-sx/ws-trust/200512/":BinarySecretTypeEnum from typemap "WS/WS-typemap.dat". Imported simpleType "http://docs.oasis-open.org/ws-sx/ws-trust/200512/":ComputedKeyEnum from typemap "WS/WS-typemap.dat". Imported simpleType "http://docs.oasis-open.org/ws-sx/ws-trust/200512/":StatusCodeEnum from typemap "WS/WS-typemap.dat". Imported simpleType "http://docs.oasis-open.org/ws-sx/ws-trust/200512/":KeyTypeEnum from typemap "WS/WS-typemap.dat".

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":RequestSecurityTokenType is a complexType.

      Actual content model is non-deterministic, hence wildcard. The following shows intended content model:
      <xs:element ref='wst:TokenType' minOccurs='0' />
      <xs:element ref='wst:RequestType' />
      <xs:element ref='wsp:AppliesTo' minOccurs='0' />
      <xs:element ref='wst:Claims' minOccurs='0' />
      <xs:element ref='wst:Entropy' minOccurs='0' />
      <xs:element ref='wst:Lifetime' minOccurs='0' />
      <xs:element ref='wst:AllowPostdating' minOccurs='0' />
      <xs:element ref='wst:Renewing' minOccurs='0' />
      <xs:element ref='wst:OnBehalfOf' minOccurs='0' />
      <xs:element ref='wst:Issuer' minOccurs='0' />
      <xs:element ref='wst:AuthenticationType' minOccurs='0' />
      <xs:element ref='wst:KeyType' minOccurs='0' />
      <xs:element ref='wst:KeySize' minOccurs='0' />
      <xs:element ref='wst:SignatureAlgorithm' minOccurs='0' />
      <xs:element ref='wst:Encryption' minOccurs='0' />
      <xs:element ref='wst:EncryptionAlgorithm' minOccurs='0' />
      <xs:element ref='wst:CanonicalizationAlgorithm' minOccurs='0' />
      <xs:element ref='wst:ProofEncryption' minOccurs='0' />
      <xs:element ref='wst:UseKey' minOccurs='0' />
      <xs:element ref='wst:SignWith' minOccurs='0' />
      <xs:element ref='wst:EncryptWith' minOccurs='0' />
      <xs:element ref='wst:DelegateTo' minOccurs='0' />
      <xs:element ref='wst:Forwardable' minOccurs='0' />
      <xs:element ref='wst:Delegatable' minOccurs='0' />
      <xs:element ref='wsp:Policy' minOccurs='0' />
      <xs:element ref='wsp:PolicyReference' minOccurs='0' />
      <xs:any namespace='##other' processContents='lax' minOccurs='0' maxOccurs='unbounded' />

struct wst__RequestSecurityTokenType operations:

- wst__RequestSecurityTokenType* soap_new_wst__RequestSecurityTokenType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_wst__RequestSecurityTokenType(struct soap*, wst__RequestSecurityTokenType*) default initialize members
- int soap_read_wst__RequestSecurityTokenType(struct soap*, wst__RequestSecurityTokenType*) deserialize from a source
- int soap_write_wst__RequestSecurityTokenType(struct soap*, wst__RequestSecurityTokenType*) serialize to a sink
- wst__RequestSecurityTokenType* soap_dup_wst__RequestSecurityTokenType(struct soap*, wst__RequestSecurityTokenType* dst, wst__RequestSecurityTokenType <em>src) returns deep copy of wst__RequestSecurityTokenType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wst__RequestSecurityTokenType(wst__RequestSecurityTokenType

) deep deletes wst__RequestSecurityTokenType data members, use only on dst after soap_dup_wst__RequestSecurityTokenType(NULL, wst__RequestSecurityTokenType *dst, wst__RequestSecurityTokenType *src) (use soapcpp2 -Ed)

## Member Data Documentation

## ◆ Authenticator

struct wst__AuthenticatorType* wst__RequestSecurityTokenType::Authenticator

Member declared in WS/WS-typemap.dat.

## ◆ BinaryExchange

struct wst__BinaryExchangeType* wst__RequestSecurityTokenType::BinaryExchange

Member declared in WS/WS-typemap.dat.

## ◆ CancelTarget

struct wst__CancelTargetType* wst__RequestSecurityTokenType::CancelTarget

Member declared in WS/WS-typemap.dat.

## ◆ ComputedKeyAlgorithm

char* wst__RequestSecurityTokenType::ComputedKeyAlgorithm

Member declared in WS/WS-typemap.dat.

## ◆ Context

char* wst__RequestSecurityTokenType::Context

Todo

  <any namespace="##any" minOccurs="0" maxOccurs="unbounded">

  Schema extensibility is user-definable. Consult the protocol documentation to change or insert declarations. Use wsdl2h option -x to remove this element. Use wsdl2h option -d for xsd__anyType DOM (soap_dom_element): wsdl2h maps xsd:any to xsd__anyType, use typemap.dat to remap. Attribute "Context" of XSD type xs:anyURI.

Optional attribute.

## ◆ Entropy

wst__EntropyType* wst__RequestSecurityTokenType::Entropy

Member declared in WS/WS-typemap.dat.

## ◆ KeySize

unsigned int* wst__RequestSecurityTokenType::KeySize

Member declared in WS/WS-typemap.dat.

## ◆ KeyType

char* wst__RequestSecurityTokenType::KeyType

Member declared in WS/WS-typemap.dat.

## ◆ RequestType

char* wst__RequestSecurityTokenType::RequestType

Member declared in WS/WS-typemap.dat.

## ◆ TokenType

char* wst__RequestSecurityTokenType::TokenType

Member declared in WS/WS-typemap.dat.

## ◆ wsp__AppliesTo

_wsp__AppliesTo_* wst__RequestSecurityTokenType::wsp__AppliesTo

Todo

  <anyAttribute namespace="##other">.

  Schema extensibility is user-definable. Consult the protocol documentation to change or insert declarations. Use wsdl2h option -x to remove this attribute. Use wsdl2h option -d for xsd__anyAttribute DOM (soap_dom_attribute). Member declared in WS/WS-typemap.dat

The documentation for this struct was generated from the following file:

- wst.h